﻿using RecrownedAthenaeum.UI.Modular.Modules.Interactive;
using System;

namespace RecrownedAthenaeum.UI.SkinSystem.Definitions
{
    /// <summary>
    /// Definition for a button.
    /// </summary>
    public class ButtonSkinDefinition : ISkinDefinitionData
    {
        /// <summary>
        /// Names for the regions in the texture atlas respectively.
        /// </summary>
        public string upRegion, downRegion, disabledRegion, selectedRegion;

        ///<inheritDoc/>
        public Type UIModuleType { get { return typeof(Button); } }

        /// <summary>
        /// Constructs the definition with minimum requirements.
        /// </summary>
        /// <param name="downRegion">Name of region specifying the texture shown for when the button is pressed down.</param>
        /// <param name="upRegion">Name of region specifying the texture shown for when the button is not pressed.</param>
        public ButtonSkinDefinition(string downRegion, string upRegion)
        {
            this.downRegion = downRegion;
            this.upRegion = upRegion;
        }
    }
}
